RestrictableStatement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Interface RestrictableStatement

All Superinterfaces:
  Statement

All Known Implementing Classes:
  AbstractRestrictableStatement, DeleteStatement, QueryNode, UpdateStatement

    public interface RestrictableStatement

extends Statement

Type definition for Statements which are restrictable via a where-clause (and thus also having a from-clause).

Method Summary
`FromClause` | `getFromClause()` Retreives the from-clause in effect for this statement.
`antlr.collections.AST` | `getWhereClause()` Retreives the where-clause defining the restriction(s) in effect for this statement.
`boolean` | `hasWhereClause()` Does this statement tree currently contain a where clause?

Methods inherited from interface org.hibernate.hql.internal.ast.tree.Statement
`getStatementType, getWalker, needsExecutor`

Method Detail

### getFromClause

    FromClause getFromClause()

  Retreives the from-clause in effect for this statement.

  Returns:
    The from-clause for this statement; could be null if the from-clause has not yet been parsed/generated.

### hasWhereClause

    boolean hasWhereClause()

  Does this statement tree currently contain a where clause?

  Returns:
    True if a where-clause is found in the statement tree and that where clause actually defines restrictions; false otherwise.

### getWhereClause

    antlr.collections.AST getWhereClause()

  Retreives the where-clause defining the restriction(s) in effect for this statement.

  Note that this will generate a where-clause if one was not found, so caution needs to taken prior to calling this that restrictions will actually exist in the resulting statement tree (otherwise "unexpected end of subtree" errors might occur during rendering).

  Returns:
    The where clause.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.